<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.fAQ.home.title">FAQS</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-faq" [routerLink]="['/faq/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.fAQ.home.createLabel">
            Create a new FAQ
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="fAQS?.length === 0">
        <span jhiTranslate="tfsBackendApp.fAQ.home.notFound">No fAQS found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="fAQS && fAQS.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.fAQ.question">Question</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.fAQ.answer">Answer</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let fAQ of fAQS ;trackBy: trackId">
                    <td><a [routerLink]="['/faq', fAQ.id, 'view']">{{ fAQ.id }}</a></td>
                    <td>{{ fAQ.question }}</td>
                    <td>{{ fAQ.answer }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/faq', fAQ.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/faq', fAQ.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(fAQ)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
